package com.jeeplus.modules.oa.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

public class OaNotifyMaterial extends DataEntity<OaNotifyMaterial> {
    private String itemDetail;//项目描述
    private String projectDefinition;//项目定义号
    private String materialCode;//物料编码
    private String materialDescription;//物料描述
    private String measuringUnit;//计量单位
    private Double quantityDemanded;//需求数量
    private Double quantityDelivered;//已经出库数量
    private Double stockNumber;//库存数量
    private String parentId;//父类id

    @ExcelField(title = "项目描述", align = 2, sort = 1)
    public String getItemDetail() {
        return itemDetail;
    }

    public void setItemDetail(String itemDetail) {
        this.itemDetail = itemDetail;
    }
    @ExcelField(title = "项目定义号", align = 2, sort = 2)
    public String getProjectDefinition() {
        return projectDefinition;
    }

    public void setProjectDefinition(String projectDefinition) {
        this.projectDefinition = projectDefinition;
    }
    @ExcelField(title = "物料编码", align = 2, sort = 3)
    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }
    @ExcelField(title = "物料描述", align = 2, sort = 4)
    public String getMaterialDescription() {
        return materialDescription;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }
    @ExcelField(title = "计量单位", align = 2, sort = 5)
    public String getMeasuringUnit() {
        return measuringUnit;
    }

    public void setMeasuringUnit(String measuringUnit) {
        this.measuringUnit = measuringUnit;
    }
    @ExcelField(title = "需求数量", align = 2, sort = 6)
    public Double getQuantityDemanded() {
        return quantityDemanded;
    }

    public void setQuantityDemanded(Double quantityDemanded) {
        this.quantityDemanded = quantityDemanded;
    }
    @ExcelField(title = "已经出库数量", align = 2, sort = 7)
    public Double getQuantityDelivered() {
        return quantityDelivered;
    }

    public void setQuantityDelivered(Double quantityDelivered) {
        this.quantityDelivered = quantityDelivered;
    }
    @ExcelField(title = "库存数量", align = 2, sort = 8)
    public Double getStockNumber() {
        return stockNumber;
    }

    public void setStockNumber(Double stockNumber) {
        this.stockNumber = stockNumber;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }
}
